Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Insert prompt

Create a new prompt

POST/v1/projects/{projectId}/prompts
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Request body
requiredapplication/json
namestringrequired
promptstringrequired
tagsstring[]
Responses
200

Response for status 200

commit_idstringrequired
parent_commit_idstring | nullrequired
Show properties
Any of:
string
string
null
null
created_atstringrequired
400

Response for status 400

errorstringrequired
messagestring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/prompts' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "prompt": "string",
  "tags": [
    "string"
  ]
}'
Response
{
  "commit_id": "string",
  "parent_commit_id": "string",
  "created_at": "string"
}

Was this page helpful?